<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://ncsc-childwelfare/CourtReport/1.0" xmlns:nc="http://niem.gov/niem/niem-core/2.0" exclude-result-prefixes="NonHtml ext nc" xmlns:NonHtml="http://www.progress.com/StylusStudio/NonHtml">
<xsl:output method="html"/>

<xsl:template match="/">
	<html xmlns:s="http://niem.gov/niem/structures/2.0"><xsl:variable name="ChildID" select="'CHILD'"/><xsl:variable name="MotherID" select="'MOTH1'"/><xsl:variable name="MotherAddress" select="'HOMEADD1'"/><head><title>Court Report</title><link rel="stylesheet" type="text/css" href="style.css"/></head>
		<body>
			<p align="center">
				<strong>
					<font size="5">Out of Home - Foster Care</font>
				</strong>
			</p>
			<p align="center">
				<strong>
					<font size="5">Court Report</font>
				</strong>
			</p>
			<p>
				<table width="100%" border="1">
					<tbody>
						<tr>
							<td class="props" width="50%">
								<strong>
									<font face="Copperplate Gothic Light" size="4">Child</font>
								</strong>
							</td>
							<td class="props" width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $ChildID]/nc:PersonName/nc:PersonSurName"/>, 
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $ChildID]/nc:PersonName/nc:PersonGivenName"/>
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $ChildID]/nc:PersonName/nc:PersonMiddleName"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Date of Birth</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $ChildID]/nc:PersonBirthDate/nc:Date"/>
							</td>
						</tr>
						<xsl:for-each select="ext:CourtReport/ext:Person[@s:id = $ChildID]/nc:PersonOtherIdentification">
							<tr>
								<td width="50%">
									<xsl:value-of select="nc:IdentificationCategoryText"/>
								</td>
								<td>
									<xsl:value-of select="nc:IdentificationID"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td width="50%">Removal Date</td>
							<td>
								<xsl:value-of select="ext:CourtReport/ext:Child/ext:ChildAugmentation/ext:ChildRemovalDate/nc:Date"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Initial Reason for Removal</td>
							<td>
								<xsl:value-of select="ext:CourtReport/ext:ReasonForInitialRemovalText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Reasonable Efforts Description</td>
							<td>
								<xsl:value-of select="ext:CourtReport/ext:ReasonableEffortsDescriptionText"/>
							</td>
						</tr>
					</tbody>
				</table>
			</p>
			<p>
				<table width="100%" border="1">
					<tbody>
						<tr>
							<td class="props" width="50%">
								<font face="Copperplate Gothic Light" size="4">
									<strong>Parent</strong>
								</font>
							</td>
							<td class="props" width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $MotherID]/nc:PersonName/nc:PersonSurName"/>, 
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $MotherID]/nc:PersonName/nc:PersonGivenName"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Address</td>
							<td>
								<p>
									<xsl:value-of select="ext:CourtReport/nc:Location[@s:id = $MotherAddress]/nc:LocationAddress/nc:AddressFullText"/>
								</p>
								<p>
									<xsl:value-of select="ext:CourtReport/nc:Location[@s:id = $MotherAddress]/nc:LocationAddress/nc:StructuredAddress/nc:LocationStreet/nc:StreetNumberText"/><![CDATA[ ]]>
									<xsl:value-of select="ext:CourtReport/nc:Location[@s:id = $MotherAddress]/nc:LocationAddress/nc:StructuredAddress/nc:LocationStreet/nc:StreetName"/><![CDATA[ ]]>
									<xsl:value-of select="ext:CourtReport/nc:Location[@s:id = $MotherAddress]/nc:LocationAddress/nc:StructuredAddress/nc:LocationCityName"/><![CDATA[ ]]>
									<xsl:value-of select="ext:CourtReport/nc:Location[@s:id = $MotherAddress]/nc:LocationAddress/nc:StructuredAddress/nc:LocationStateUSPostalServiceCode"/>
								</p>
							</td>
						</tr>
					</tbody>
				</table>
			</p>
			<p><xsl:variable name="CaseworkerID" select="ext:CourtReport/ext:Caseworker/nc:RoleOfPersonReference/@s:ref"/>
				<table width="100%" border="1">
					<tbody>
						<tr>
							<td class="props" width="50%">
								<strong>
									<font face="Copperplate Gothic Light" size="4">Caseworker</font>
								</strong>
							</td>
							<td class="props" width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $CaseworkerID]/nc:PersonName/nc:PersonSurName"/>, 
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $CaseworkerID]/nc:PersonName/nc:PersonGivenName"/>
								<xsl:value-of select="ext:CourtReport/ext:Person[@s:id = $CaseworkerID]/nc:PersonName/nc:PersonMiddleName"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Caseworker ID</td>
							<td width="50%">
								<xsl:value-of select="ext:ServicePlan/nc:PersonCurrentEmploymentAssociation/nc:EmployeeIdentification/nc:IdentificationID"/>
							</td>
						</tr>
					</tbody>
				</table>
			</p>
			<p>
				<strong>
					<font face="Copperplate Gothic Light" size="4">Permanency Goal(s) </font>
				</strong>
			</p>
			<p>
				<xsl:for-each select="ext:CourtReport/ext:ServicePlanGoal">
					<table width="100%" border="2">
						<tbody>
							<tr>
								<td class="props" width="50%">
									<strong>
										<u>
											<font face="Copperplate Gothic Light">
												<xsl:if test="ext:PrimaryGoalIndicator='true'">Primary Goal</xsl:if>
												<xsl:if test="ext:PrimaryGoalIndicator='false'">Concurrent Goal</xsl:if>
											</font>
										</u>
									</strong>
								</td>
								<td class="props">
									<xsl:value-of select="ext:AFCARSCode"/>
								</td>
							</tr>
							<tr>
								<td>Description</td>
								<td>
									<xsl:value-of select="nc:ActivityReasonText"/>
								</td>
							</tr>
							<xsl:for-each select="ext:GoalObjective">
								<tr>
									<td width="50%">
										<b>Objective # 
											<xsl:value-of select="position()"/>
										</b>
									</td>
									<td width="50%">
										<b>
											<xsl:value-of select="nc:ActivityDescriptionText"/>
										</b>
									</td>
								</tr>
								<xsl:for-each select="ext:Task">
									<tr>
										<td width="50%">Current Status</td>
										<td>
											<xsl:value-of select="ext:CurrentStatusSummaryText"/>
										</td>
									</tr>
								</xsl:for-each>
							</xsl:for-each>
						</tbody>
					</table>
				</xsl:for-each>
			</p>
			<p>
				<font face="Copperplate Gothic Light" size="4">
					<strong>Child Details</strong>
				</font>
			</p>
			<p>
				<table width="100%" border="1">
					<tbody>
						<tr>
							<td width="50%">Non-Criminal Legal Issues</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:HistoricalNarrative/ext:NonCriminalLegalIssuesText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Dental History</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:MedicalStatus/ext:DentalHistoryText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Medical History</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:MedicalStatus/ext:MedicalHistoryText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Psychological History</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:MedicalStatus/ext:PsychologicalHistoryText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Educational Needs</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:Education/ext:EducationalNeedsText"/>
							</td>
						</tr>
						<tr>
							<td width="50%">Educational Goals</td>
							<td width="50%">
								<xsl:value-of select="ext:CourtReport/ext:Person/ext:Education/ext:EducationalGoalsText"/>
							</td>
						</tr>
					</tbody>
				</table>
			</p>
			<p>
				<font face="Copperplate Gothic Light" size="4">
					<strong>Placement History </strong>
				</font>
			</p>
			<p>
				<xsl:for-each select="ext:CourtReport/ext:Placement">
					<table width="100%" border="1">
						<tbody>
							<tr>
								<td>
									<b>Placement # 
										<xsl:value-of select="position()"/>
									</b>
								</td>
								<td/>
							</tr>
							<tr>
								<td width="50%">Placement Start Date</td>
								<td width="50%">
									<xsl:value-of select="nc:ActivityDateRange/nc:StartDate/nc:Date"/>
								</td>
							</tr>
							<tr>
								<td width="50%">Placement End Date</td>
								<td width="50%">
									<xsl:value-of select="nc:ActivityDateRange/nc:EndDate/nc:Date"/>
								</td>
							</tr>
							<tr>
								<td width="50%">Placement Type</td>
								<td width="50%">
									<xsl:value-of select="ext:PlacementTypeText"/>
								</td>
							</tr>
							<tr>
								<td width="50%">Placement Restrictiveness Text</td>
								<td width="50%">
									<xsl:value-of select="ext:PlacementTypeRestrictivenessText"/>
								</td>
							</tr>
							<tr>
								<td width="50%">Relative Placement Resources</td>
								<td width="50%">
									<xsl:value-of select="ext:RelativePlacementResources"/>
								</td>
							</tr>
							<tr>
								<td width="50%">Relative Home Studies Text</td>
								<td width="50%">
									<xsl:value-of select="ext:RelativeHomeStudiesText"/>
								</td>
							</tr>
						</tbody>
					</table>
				</xsl:for-each>
			</p>
			<p>&#160;</p>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario2" userelativepaths="yes" externalpreview="no" url="CourtReportInstance.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->